# Update an offer payout tier

| HTTP method | Endpoint                                |
| ----------- | --------------------------------------- |
| **PUT**     | **/v1/offer\_payout\_tiers/{tier\_id}** |

## Path parameters <a href="#path-parameters-0" id="path-parameters-0"></a>

| Parameter | Description                              |
| --------- | ---------------------------------------- |
| tier\_id  | The unique id for the offer payout tier. |

## Request body parameters <a href="#request-body-parameters-0" id="request-body-parameters-0"></a>

|                                | Field         | Type   | Description                        | Nullable |   |
| ------------------------------ | ------------- | ------ | ---------------------------------- | -------- | - |
| offer\_payout\_tier            |               |        |                                    |          |   |
|                                | name          | string | Offer pool name.                   |          |   |
|                                | description   | string | The offer payout tier description. |          |   |
| offer\_payout\_tier\_affiliate |               |        |                                    |          |   |
|                                | affiliate\_id | list   | Affiliate id.                      |          |   |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

|                                | Field         | Type    | Description                        |
| ------------------------------ | ------------- | ------- | ---------------------------------- |
| offer\_payout\_tier            |               |         |                                    |
|                                | id            | integer | Offer payout tier id.              |
|                                | name          | string  | Offer pool name.                   |
|                                | description   | string  | The offer payout tier description. |
|                                | create\_time  | integer | Create time.                       |
|                                | update\_time  | integer | Update time.                       |
| offer\_payout\_tier\_affiliate |               |         |                                    |
|                                | tier\_id      | integer | Offer payout tier id.              |
|                                | affiliate\_id | integer | Affiliate id.                      |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request PUT** <https://{networkname}.api.offerslook.com/v1/offer_payout_tiers/27>

**Request PUT** <http://{networkname}.api.offerslook.com/v1/offer_payout_tiers/27>

```
    {
      "offer_payout_tier": {
        "name": "test",
        "description": "Update this offer payout tier."
      },
      "offer_payout_tier_affiliate": {
        "affiliate_id": [
          7,
          8
        ]
      }
    }
```

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_payout_tier": {
          "id": 27,
          "name": "test",
          "description": "Update this offer payout tier.",
          "create_time": 1467795896,
          "update_time": 1467797008
        },
        "offer_payout_tier_affiliate": [
          {
            "tier_id": 27,
            "affiliate_id": 7
          }
        ]
      }
    }
```
